godo.Nfs.DeleteAccessPoint()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Nfs.DeleteAccessPoint(ctx context.Context, accessPointID string) (*godo.NfsAccessPointActionResponse, *godo.Response, error)Description
DeleteAccessPoint soft-deletes an NFS access point by ID.
This method sends a DELETE request to /v2/nfs/access_points/{}.
Parameters
accessPointIDstring required
Returns
- *godo.NfsAccessPointActionResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.NfsAccessPointActionResponse
NfsAccessPointActionResponse represents an access point mutation response.
AccessPoint*godo.NfsAccessPointAction*godo.NfsAction
Request Sample
Response Example
More Information
See DELETE /v2/nfs/access_points/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.